Subject: [Mip4] RE: Comments for your draft "draft-leung-mip4-proxy-mode-00.txt"

From: "Kent Leung \(kleung\)" <[email-masked]>
Date: Tue, 30 May 2006 23:28:34 -0700

> >
> > HoA is either manually configured or obtained via DHCP.
> 1) if manual configured, is this address global or private 
> IPv4 address?

Either.

> 2) if through dhcp assignment, when MS roam from MPA1 to MPA2 
> will MS get same IP address from same DHCP server.

The MS is a DHCP client and renews the leased IP address from the DHCP
server which assigned it.

> 3) is there only 1 dhcp server in 1 HA domain.

No restriction.  There could be one or more DHCP servers.  Once MS
obtains the IP address from the server, it will know where to renew te
IP address.

> 
> > > 2. How can MS maintain its HoA after moving from one MPA 
> to another 
> > > MPA? There is no mechanism for IP address continuity.
> 
> > MS maintains the same HoA when moving between MPAs.  There 
> are various 
> > methods how this can be accomplished (e.g. IP address or 
> MAC address 
> > detection).
> Do you mean MS use IP address or MAC address as an Identifier (e.g.
> NAI)  to get the same address after moving to new MPA?
> 

Yes, the MS identifier depends on the deployment environment.  Kuntal
and I will try to describe this in more detail in future revisions.

Kent

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/